Bug 19050 - XSS Flaws in Quick spine label creator
Summary: XSS Flaws in Quick spine label creator
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Amit Gupta
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14568
  Show dependency treegraph
 
Reported: 2017-08-07 15:12 UTC by Amit Gupta
Modified: 2017-09-07 06:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19050 - XSS Flaws in Quick spine label creator (1.25 KB, patch)
2017-08-07 15:22 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 19050 - XSS Flaws in Quick spine label creator (1.32 KB, patch)
2017-08-07 20:32 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 19050 - XSS Flaws in Quick spine label creator (1.42 KB, patch)
2017-08-11 09:24 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2017-08-07 15:12:59 UTC
XSS Flaws in Quick spine label creator
Comment 1 Amit Gupta 2017-08-07 15:22:47 UTC
Created attachment 65573 [details] [review]
Bug 19050 - XSS Flaws in Quick spine label creator

1. Hit /cgi-bin/koha/labels/spinelabel-home.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> barcode text box.
3. Notice the iframe is executed
4. Apply patch
5. Reload page, and enter iframe again on barcode text box.
6. Notice it is no longer executed
Comment 2 Chris Cormack 2017-08-07 20:32:55 UTC
Created attachment 65596 [details] [review]
Bug 19050 - XSS Flaws in Quick spine label creator

1. Hit /cgi-bin/koha/labels/spinelabel-home.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> barcode text box.
3. Notice the iframe is executed
4. Apply patch
5. Reload page, and enter iframe again on barcode text box.
6. Notice it is no longer executed

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Marcel de Rooy 2017-08-11 09:24:24 UTC
Created attachment 65887 [details] [review]
Bug 19050 - XSS Flaws in Quick spine label creator

1. Hit /cgi-bin/koha/labels/spinelabel-home.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> barcode text box.
3. Notice the iframe is executed
4. Apply patch
5. Reload page, and enter iframe again on barcode text box.
6. Notice it is no longer executed

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2017-08-29 15:07:23 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-09-05 12:45:10 UTC
Pushed to 17.05.x, is in 17.05.03
Comment 6 Katrin Fischer 2017-09-07 06:15:25 UTC
This patch has been pushed to 16.11.x and is in 16.11.11.